Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_SSL_State_Guard Class Reference

This Class that sets up TSS SSL states upon instantiation, and tears down the TSS SSL state when that instance goes out of scope. More...

`#include <SSLIOP_Connection_Handler.h>`

Collaboration diagram for TAO_SSL_State_Guard:

[legend]
List of all members.

## Public Methods
| TAO_SSL_State_Guard (TAO_SSLIOP_Connection_Handler *handler, int &result)
| Constructor that sets up the TSS SSL state. More...
| ~TAO_SSL_State_Guard (void)
| Destructor that tears down the TSS SSL state. More...
## Private Attributes
TAO_SSLIOP_Connection_Handler * | handler_
| Pointer to the connection handler currently handling the request/upcall. More...
TAO_SSLIOP_Current_Impl * | previous_current_impl_
| The SSLIOP::Current implementation that was previously associated with the current thread and invocation. More...
TAO_SSLIOP_Current_Impl | current_impl_
| The SSLIOP::Current implementation to be associated with the current invocation. More...
CORBA::Boolean | setup_done_
| Flag that specifies whether or not setup of the SSLIOP::Current object completed for the current thread and invocation. More...

## Detailed Description

This Class that sets up TSS SSL states upon instantiation, and tears down the TSS SSL state when that instance goes out of scope.

This guard is used to make TSS SSL state configuration and deconfiguration during an upcall exception safe. Exceptions are not supposed to be propagated up to the scope this guard is used in, so this guard may be unnecessary. However, since proper TSS SSL state configuration/deconfiguration is critical to proper security support, this guard is used to ensure that configuration/deconfiguration is exception safe.

## Constructor & Destructor Documentation

ACE_INLINE TAO_SSL_State_Guard::TAO_SSL_State_Guard | ( | TAO_SSLIOP_Connection_Handler * | handler,
|  | int & | result
| ) |

| Constructor that sets up the TSS SSL state.

ACE_INLINE TAO_SSL_State_Guard::~TAO_SSL_State_Guard | ( | void |  | ) |

| Destructor that tears down the TSS SSL state.

## Member Data Documentation

TAO_SSLIOP_Current_Impl TAO_SSL_State_Guard::current_impl_`[private]`

| The SSLIOP::Current implementation to be associated with the current invocation.

TAO_SSLIOP_Connection_Handler* TAO_SSL_State_Guard::handler_`[private]`

| Pointer to the connection handler currently handling the request/upcall.

TAO_SSLIOP_Current_Impl* TAO_SSL_State_Guard::previous_current_impl_`[private]`

| The SSLIOP::Current implementation that was previously associated with the current thread and invocation. It is stored here until the invocation completes, after which it placed back into TSS.

CORBA::Boolean TAO_SSL_State_Guard::setup_done_`[private]`

| Flag that specifies whether or not setup of the SSLIOP::Current object completed for the current thread and invocation.

The documentation for this class was generated from the following files:

- SSLIOP_Connection_Handler.h
- SSLIOP_Connection_Handler.i